#ifndef COMMON_INCLUDED
#define COMMON_INCLUDED

const QString CONNECTION_MANAGER_SERVICE_NAME = "org.freedesktop.Telepathy.ConnectionManager";
const QString CONNECTION_MANAGER_PATH_NAME = "/org/freedesktop/Telepathy/ConnectionManager";
const QString CONNECTION_MANAGER_INTERFACE_NAME = "org.freedesktop.Telepathy.ConnectionManager";

const QString INTERFACE_CONNECTION_INTERFACE_CAPABILITIES = "org.freedesktop.Telepathy.Connection.Interface.Capabilities";
const QString INTERFACE_CONNECTION_INTERFACE_REQUESTS = "org.freedesktop.Telepathy.Connection.Interface.Requests";
const QString INTERFACE_CHANNEL_TYPE_STREAMED_MEDIA = "org.freedesktop.Telepathy.Channel.Type.StreamedMedia";
const QString INTERFACE_CHANNEL = "org.freedesktop.Telepathy.Channel";
const QString INTERFACE_CHANNEL_CHANNEL_TYPE = "org.freedesktop.Telepathy.Channel.ChannelType";
const QString INTERFACE_CHANNEL_REQUESTED = "org.freedesktop.Telepathy.Channel.Requested";

const QString PROTOCOL_SOFIASIP = "sofiasip";
const QString PROTOCOL_SIP = "sip";

const qint32 CONN_MGR_PARAM_FLAGS_REQUIRED     = 1;
const qint32 CONN_MGR_PARAM_FLAGS_REGISTER     = 2;
const qint32 CONN_MGR_PARAM_FLAGS_HAS_DEFAULT  = 4;
const qint32 CONN_MGR_PARAM_FLAGS_SECRIET      = 8;
const qint32 CONN_MGR_PARAM_FLAGS_BUS_PROPERTY = 16;

enum CALL_STATUS
{
    CALL_STATUS_IDLE = 0,
    CALL_STATUS_OFFERING,
    CALL_STATUS_ANSWERING,
    CALL_STATUS_ESTABlISHED,
};

enum ConnectionState {
    CONNECTION_STATUS_CONNECTED,
    CONNECTION_STATUS_CONNECTING,
    CONNECTION_STATUS_DISCONNECTED
};

#endif // COMMON_INCLUDED
